// Layout

body {
	font-family: -apple-system, BlinkMacSystemFont, system-ui, 'Helvetica Neue', 'Roboto', 'Segoe UI', Helvetica, Arial, sans-serif;
	font-size: 1em;
	line-height: 1.5;
	margin: 0;
}

.header {
	background-color: var(--brand-primary);
	margin-bottom: 1rem;
	padding: 0.5em 1rem;
	transition: background-color 0.2s linear;
	height: 32px;

	// .wrap {
		align-items: center;
		display: flex;
		flex-flow: row wrap;
	// }

	.tanuki {
		height: 24px;
		margin-right: 0.5rem;
	}

	.title {
		color: $white;
		font-weight: 500;
		font-size: 1rem;
		margin: 0;
		padding: 0;
		border-left: 1px solid #ffffff52;
		padding-left: .5rem;
	}
}

.container {
	background-color: var(--content-secondary);
	color: var(--content-primary);
	min-height: 100vh;
	transition: background-color 0.2s linear, color 0.2s linear;
}

.wrap {
	margin: 0 auto;
	max-width: 1200px;
	padding: 0 1rem;
}

// Content

.content {

	.settings {
		border-bottom: 1px solid var(--border);
		margin-bottom: 2rem;
		padding-bottom: 2rem;

		@include breakpoint(md) {
			border-bottom: none;
			border-left: 1px solid var(--border);
			margin-bottom: 0;
			padding-bottom: 0;
			padding-left: 1rem;
		}

		&__title {
			font-size: 1rem;
			margin-top: 0;
		}

		&__group {

			&:not(:last-child) {
				margin-bottom: 1rem;
			}

			&--controls {
				margin-top: 3em;
				text-align: right;
			}
		}

		&__label {
			font-size: 0.813rem;
			font-weight: bold;

			&--block {
				display: block;
				margin-bottom: 0.5rem;
			}
		}

		&__option {
			align-items: center;
			display: flex;
			flex-direction: row;
			justify-content: space-between;
			margin-bottom: 0.5rem;
		}

		&__options {
			display: flex;
			flex-direction: row;
			justify-content: stretch;
		}
	}

	@include breakpoint(md) {
		display: flex;
		flex-direction: row-reverse;

		.settings {
			flex: 0 1 30%;
			margin-left: 2rem;
			min-width: 280px;
		}

		.ipsum {
			flex: 0 1 auto;
		}
	}
}

// Formatting

p {
	margin-top: 0;
}

code {
	font-size: 0.875em;
	font-family: 'Menlo', monospace;
	color: var(--content-primary);

	.tag {
			color: var(--html-tag);
	}
}

ul, ol {
	padding: 0;
	margin: 0;
	padding-left: 1em;

	li {
			margin-bottom: 1em;
	}
}

a {
	color: var(--content-primary);
	border-bottom: 1px solid rgba(var(--content-primary-rgb), 0.3);
	text-decoration: none;
	transition: border-bottom-color 0.2s linear;

	&:hover {
		border-bottom-color: var(--content-primary);
	}
}

// Footer

.footer {
  padding-top: 2rem;
  padding-bottom: 2rem;
  margin-top: 2rem;
  border-top: 1px solid var(--border);

  font-size: 0.875rem;
  color: var(--content-primary);
}
